Public developer API
GET /v1/collections/:id
Returns one collection by its id.
Access
A project-specific API key (Authorization: Bearer dapi_live_...) and its Business ID (X-Business-Id). Rate limited per business (120 calls a minute by default).
Example request
curl --request GET \
--url 'https://production.dutchapi.co/v1/collections/ID' \
--header 'X-Business-Id: YOUR_BUSINESS_ID' \
--header 'Authorization: Bearer bsk_live_YOUR_BUSINESS_SECRET'
Response 200
{
"id": "col_3b9d7e",
"object": "collection",
"kind": "collection",
"status": "completed",
"amount": 10000,
"currency": "XAF",
"fee": 200,
"completed_at": "2026-10-13T09:31:40.000Z",
"method": "mobile_money",
"country": "CM",
"payer": "******0000"
}
Errors
| Status | error | Meaning |
|---|---|---|
| 404 | collection_not_found | No collection with that id. |